> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/caching.md).

# Caching

Caching

## Get entity timestamps

> Retrieve timestamps for entities to be used in caching. \
> The entities refer to database tables, \
> and the timestamp for each entity is updated whenever a record within the table \
> is created, updated, or deleted.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Caching","description":"Caching"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"EntityTimestampResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityTimestampResponseSchema"}}}}},"schemas":{"EntityTimestampResponseSchema":{"title":"EntityTimestampResponseSchema","type":"object","required":["store","warehouse","warehouseAccess","brand","productProperty","productPropertyOption","deliveryProvider","deliveryMethod","timeslot","handling","handlingAction","serviceType","serviceStatus","hourlyRate"],"properties":{"store":{"type":"string","format":"date-time"},"warehouse":{"type":"string","format":"date-time"},"warehouseAccess":{"type":"string","format":"date-time"},"brand":{"type":"string","format":"date-time"},"productProperty":{"type":"string","format":"date-time"},"productPropertyOption":{"type":"string","format":"date-time"},"deliveryProvider":{"type":"string","format":"date-time"},"deliveryMethod":{"type":"string","format":"date-time"},"timeslot":{"type":"string","format":"date-time"},"handling":{"type":"string","format":"date-time"},"handlingAction":{"type":"string","format":"date-time"},"serviceType":{"type":"string","format":"date-time"},"serviceStatus":{"type":"string","format":"date-time"},"hourlyRate":{"type":"string","format":"date-time"}}}}},"paths":{"/tenants/{tenantUid}/caching/entity-timestamps":{"get":{"summary":"Get entity timestamps","tags":["Caching"],"responses":{"200":{"$ref":"#/components/responses/EntityTimestampResponse"}},"operationId":"get-entity-timestamps","description":"Retrieve timestamps for entities to be used in caching. \nThe entities refer to database tables, \nand the timestamp for each entity is updated whenever a record within the table \nis created, updated, or deleted."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/caching.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
